
{ config, lib, pkgs, ... }:

let cfg = config.jade.helix;
in with lib; {
  options.jade.helix = {
    enable = mkEnableOption "Enable helix";
  };
  config = mkIf cfg.enable {
    home-manager.users.jade = { pkgs, ... }: {
      programs.helix = {
        enable = true;
        settings = {
          theme = "gruvbox";
          editor = {
            line-number = "relative";
            lsp.display-messages = true;
          };
        };
      };
    };
  };
}
